Subject: Re: draft-so-pwe3-ethernet

From: Stewart Bryant <[email-masked]>
Date: Mon, 22 Jul 2002 15:27:47 +0100

Sasha Vainshtein wrote:
> 
> Stewart, Mark and all,
> I would suggest that we leave the PWE3
> framework/layering/architecture documents
> basically unchanged - for the following reasons.

Sasha, I do not follow your logic.

> 
> IMHO, one of the strongest reasons for providing L2 connectivity
> over a L3 infratsructure is the desire/need to avoid possible
> impact of the customer IP addressing schemes (or lack thereof)
> on routing in the provider L3 network.
> While this consideration is primarily an issue for the PPVPN WG,
> I do not think that the PWE3 WG can just ignore it.
> 

I completely agree, and have added some text to the combined doc
that talks about L2VPN. 

> Specifically for the Ethernet PWs, CEs (in the current
> reference model) may be simply bridges, not routers
> (just as for FR CEs may be FR switches), i.e., they
> do not require assignment of any (not to say, unique IP)
> addresses.

True, although I think that the "PE" could actutally be owned
and managed by the customer. I think that we should find
an owner neutral term, because I am not sure how the deployments
will split between SP provided PW service and customers 
provisioning the service themselves (with or without the blessing
of their ISP)

> 
> On the other hand, the PW operation is possible only between
> devices with unambiguous IP connectivity between them.
> This is equally true both for L2TP-based and MPLS-based PWs.
> (The fact that this connectivity could be provided by
> a L3 VPN would not affect the PW operation in any way.)

Well there needs to be an unambiguous path, but I would be
careful how you use the words "unambiguous IP connectivity"

> 
> Hopefully you will find these considerations valid.

I would if I understook your point, because I cannot see
how this relates to Mark's proposed document structure.

Stewart

> 
> With best regards,
>                                    Sasha Vainshtein
> email:     [email-masked] <mailto:[email-masked]>
> tel:       +972-3-7659993 (office)
>            +972-8-9254948 (res.)
>            +972-58-674833 (cell.)
> 
> 
> > -----Original Message-----
> > From: Stewart Bryant [mailto:[email-masked]]
> > Sent: Monday, July 22, 2002 11:09 AM
> > To: W. Mark Townsley
> > Cc: Cheng-Yin Lee; [email-masked]
> > Subject: Re: [PWE3] draft-so-pwe3-ethernet
> >
> >
> >
> > Re the exchange below:
> >
> > What are the views of the WG, should we change the PWE3 protocol
> > layering/framework/architecture document to be provider/customer
> > neutral?
> >
> > Stewart
> >
> >
> >
> > "W. Mark Townsley" wrote:
> > >
> > > Cheng-Yin Lee wrote:
> > > >
> > > > Stewart,
> > > >
> > > > Stewart Bryant wrote:
> > > >
> > > > > Cheng-Yin Lee wrote:
> > > > > >
> > > > > > Tricci et al,
> > > > > > Would it be possible to specify Ethernet over L2TP/GRE (in
> > > > > > draft-so-pwe3-ethernet.txt ) for device to device, instead of
> > > > > > specifically for PE to PE only?
> > > > >
> > > > > Do you mean from CE to CE?
> > > > > In the L2TP case this will (does) just work.
> > > >
> > > > Understood, but the current draft description is in terms
> > of PE to PE.
> > >
> > > The L2TP portion of this is going to be rewritten into a
> > separate document.
> > > There will be nothing to prohibit use of eth over l2tp with
> > any of the
> > > device-oriented reference models identified in
> > > draft-ietf-l2tpext-l2tp-base-03.txt.
> > >
> > > >
> > > > > >
> > > > > > I understand the PWE framework document describes pwe
> > for PE-PE only,
> > > > > > but the PWE3 charter does not preclude device to device pwe.
> > > > > >
> > > > >
> > > > > The charter starts "Service providers (SP) are seeking
> > to offer multiple
> > > > > services across a common packet switched network
> > (PSN)...", and the Edge
> > > > > to Edge title implies SPs.
> > > > >
> > > > > For the packet services, and some cell running CE-CE
> > will work just fine,
> > > > > although in the case of MPLS you have to carry the MPLS
> > over GRE.
> > > > > However the bit payloads need to be deployed with care, and
> > > > > may not work unless the SP provides suitable traffic
> > engineering.
> > > >
> > > > ... at this point, I have only requested device to device
> > pwe description for
> > > > Ethernet.
> > >
> > > I prefer "Device to Device" for pwe3 in general, with ppvpn
> > or other WGs
> > > focusing more on PE, CE, and such designations. L2TPEXT
> > will certainly support a
> > > "device to device" description.
> > >
> > > >
> > > > thanks
> > > > cheng-yin
> > > >
> > > > >
> > > > >
> > > > > Stewart
> > > > >
> > > > > > thanks
> > > > > > cheng-yin
> > > > > >
> > > > > > _______________________________________________
> > > > > > pwe3 mailing list
> > > > > > [email-masked]
> > > > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > >
> > > > _______________________________________________
> > > > pwe3 mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > >
> > > _______________________________________________
> > > pwe3 mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/pwe3
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> >